×

Discussion Board

Results 1 to 5 of 5
  1. #1
    Registered User
    Join Date
    Jan 2007
    Location
    Pune,India
    Posts
    15

    error to install .sis

    I am using Carbide c++ and S60 3rd Edition SDK.
    I have created the .sis file but while installing on mobile it gives error
    "File Corrupted"

    Please guide me .

    Thank You.........
    Edit/Delete Message

  2. #2
    Nokia Developer Champion
    Join Date
    Mar 2006
    Location
    Helsinki, Finland
    Posts
    8,344

    Smile Re: error to install .sis

    Quote Originally Posted by gtemgire
    I am using Carbide c++ and S60 3rd Edition SDK.
    I have created the .sis file but while installing on mobile it gives error
    "File Corrupted"

    Please guide me .

    Thank You.........
    Edit/Delete Message
    On which device are you installing?
    You need to install it on 3rd edition based devices.

    Please give some more information about application.
    Is it requiring other capabilities than that of under Self-Signed?
    Have you signed your .Sis file before installing it on real device?
    etc...

    Kiran.

  3. #3
    Registered User
    Join Date
    Jan 2007
    Location
    Pune,India
    Posts
    15

    Re: error to install .sis

    i am using 6681.
    I got it that it didn't support to it.

    One more query is there neceesity to get signed.
    How to sign ?

  4. #4
    Nokia Developer Champion
    Join Date
    Mar 2006
    Location
    Helsinki, Finland
    Posts
    8,344

    Smile Re: error to install .sis

    Hello gtemgire,

    Refer to the following section in the SDK help.

    S60 3rd Edition SDK for Symbian OS, MR
    Introduction to S60 3rd Edition >> How to Sign .sis FilesS60 3rd Edition SDK for
    Also refer to the following link:
    http://discussion.forum.nokia.com/fo...22&postcount=8

    By the way search for "makesis", "signsis", "makekeys" etc... in the SDK help.

    Kiran.

  5. #5
    Regular Contributor
    Join Date
    Sep 2006
    Posts
    280

    Re: error to install .sis

    Yes, signing is necessary for installing your sis on any 3.0 phone.
    Depending on the capabilities required by your application
    you can go any Symbian Signed, Self Signed or developer signed.
    Visit www.symbiansigned.com for more info.

Similar Threads

  1. Can't install .sis file (Problem with Emulator)
    By zlaja in forum Symbian Tools & SDKs
    Replies: 1
    Last Post: 2006-11-28, 18:46
  2. unable to install .sis on the mobile
    By speed7156 in forum Symbian Tools & SDKs
    Replies: 2
    Last Post: 2006-09-21, 19:02
  3. do i have to request a UID in order to install the .sis?
    By sumn79 in forum Symbian Tools & SDKs
    Replies: 1
    Last Post: 2004-02-10, 05:11
  4. How do I install a .sis in EPOC emulator?
    By hanhchung in forum Symbian
    Replies: 1
    Last Post: 2003-07-23, 00:50
  5. How do I install .sis files
    By ntsing in forum Symbian
    Replies: 2
    Last Post: 2002-10-07, 16:01

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×